#
# spec file for package pidgin (Version 2.0.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           pidgin
Summary:        GTK+-Based Multiprotocol Instant Messaging Client
Version:        2.0.1
Release:        1
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/AOLInstantMessenger
URL:            http://www.pidgin.im/
Source:         %{name}-%{version}.tar.bz2
Source1:        pidgin-NLD-smiley-theme.tar.bz2
Source2:        pidgin-Tango-smiley-theme.tar.bz2
Patch1:         pidgin-gnome-keyring.patch
Patch2:         pidgin-nonblock-aim.patch
Patch3:         pidgin-nonblock-common.patch
Patch4:         pidgin-nonblock-gwim.patch
Patch5:         pidgin-nonblock-common2.patch
Patch7:         pidgin-check.patch
# Can use external libzephyr
BuildRequires:  cyrus-sasl-devel dbus-1-devel doxygen evolution-data-server-devel gnome-keyring-devel graphviz gtkspell-devel intltool libao-devel libbonobo-devel libgadu-devel libstdc++-devel libxml2-devel meanwhile-devel mono-devel mozilla-nspr-devel mozilla-nss-devel ncurses-devel perl-XML-Parser python sqlite-devel startup-notification-devel tk-devel update-desktop-files
# Product specific lines
%if %suse_version >= 1000 || 0%{?opensuse_bs}
BuildRequires:  NetworkManager-devel
%endif
%if %suse_version == 1010 || 0%{?opensuse_bs}
BuildRequires:  NetworkManager-gnome
%endif
%if %suse_version >= 1010 || 0%{?opensuse_bs}
BuildRequires:  gstreamer010-devel
%else
BuildRequires:  gstreamer-devel
%endif
%if %suse_version >= 1011 || 0%{?opensuse_bs}
BuildRequires:  dbus-1-glib-devel
%else
BuildRequires:  dbus-1-glib
%endif
%if %suse_version >= 1021 || 0%{?opensuse_bs}
BuildRequires:  avahi-compat-howl-devel silc-toolkit-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%gconf_schemas_prereq

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ,
IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and Zephyr. 
These protocols are implemented using a modular, easy to use design. 
To use a protocol, just add an account using the account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%package devel
Summary:        Development Headers, Documentation, and Libraries for Pidgin
Group:          Productivity/Networking/AOLInstantMessenger
Requires:       %{name} = %{version} glib2-devel gtk2-devel libpurple-devel = %{version}
%package -n libpurple
Summary:        Library for IM Clients Like Pidgin and Finch
Group:          Productivity/Networking/AOLInstantMessenger
# Existed before 10.3:
Obsoletes:      gaim
# Was never been in SuSE:
Obsoletes:      gaim-applet
# Was only in the Build Service after 10.2:
Obsoletes:      gaim-unstable
# Not really required, but standard Jabber accounts require it, if compiled with SASL support.
Requires:       cyrus-sasl-digestmd5 cyrus-sasl-plain
%package -n libpurple-devel
Summary:        Development Headers, Documentation, and Libraries for libpurple
Group:          Productivity/Networking/AOLInstantMessenger
Requires:       libpurple = %{version} NetworkManager-devel NetworkManager-glib glib2-devel gnome-keyring-devel libxml2-devel
Requires:       pkg-config
Obsoletes:      gaim-devel
Obsoletes:      gaim-unstable-devel
%package -n libpurple-meanwhile
Summary:        Lotus Sametime Plugin for Pidgin Using the Meanwhile Library
Group:          Productivity/Networking/AOLInstantMessenger
Requires:       libpurple = %{version}
%package -n libpurple-mono
Summary:        Mono .NET Plugin Support for Pidgin
Group:          Productivity/Networking/AOLInstantMessenger
Requires:       libpurple = %{version}
%package -n finch
Summary:        Text-Based User Interface for Pidgin Instant Messaging Client
Group:          Productivity/Networking/AOLInstantMessenger
Requires:       libpurple = %{version}
Obsoletes:      gaim-unstable-text
%package -n finch-devel
Summary:        Headers etc. for finch Stuffs
Group:          Productivity/Networking/AOLInstantMessenger
Requires:       finch = %{version} glib2-devel glibc-devel libpurple-devel = %{version} ncurses-devel
Requires:       pkg-config
Obsoletes:      gaim-unstable-text-devel
%package gaim-compat
Summary:        Gaim Compatibility Launchers for Pidgin and Finch
Group:          Productivity/Networking/AOLInstantMessenger
Requires:       %{name} = %{version} finch = %{version}
Conflicts:      gaim < 2.0.0
Conflicts:      gaim-unstable < 2.0.0

%description devel
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team


%description -n libpurple
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team


%description -n libpurple-devel
The libpurple-devel package contains the header files, developer
documentation, and libraries required for development of libpurple
based instant messaging clients or plugins for any libpurple based
client.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team


%description -n libpurple-meanwhile
Lotus Sametime plugin for Pidgin using the Meanwhile library.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team


%description -n libpurple-mono
Mono plugin loader for Pidgin.	This package will allow you to write or
use Pidgin plugins written in the .NET programming language.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team


%description -n finch 
A text-based user interface for using libpurple.  This can be run from
a standard text console or from a terminal within X Windows.  It uses
ncurses and our homegrown gnt library for drawing windows and text.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team


%description -n finch-devel
The finch-devel package contains the header files, developer
documentation, and libraries required for development of Finch scripts
and plugins.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team


%description gaim-compat
This package provides compatibility binaries for gaim and gaim-text to
notify users, that they should update their configuration to use new
name.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%prep
%setup -q -a1 -a2
%patch1 -p1
# FIXME: Port this patch:
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7
# Change Myanmar/Myanmar to Myanmar:
rename my_MM my po/my_MM.*
sed -i "/^ALL_LINGUAS/s/ my_MM / my /" configure.ac

%build
# -fno-strict-aliasing needed for 2.0.0
%if %suse_version > 1000
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector -fPIC -fno-strict-aliasing"
export LDFLAGS="-pie"
%else
export CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
%endif
ACLOCAL="aclocal -I m4macros" autoreconf -f -i
%configure\
	--disable-static\
	--enable-plugins\
	--enable-cyrus-sasl\
	--enable-dbus=yes\
	--enable-mono=yes\
	--enable-gstreamer=yes\
	--enable-gnome-keyring=yes\
	--enable-nm=yes\
	--enable-dbus=yes\
	--with-perl-lib=/usr\
	--with-nspr-includes=/usr/include/nspr4\
	--with-nss-includes=/usr/include/nss3\
	--with-tclconfig=/usr/%_lib\
	--with-tkconfig=/usr/%_lib
make
# Mono bindings 2.0.1 are not parallel build ready:
#make %{?jobs:-j%jobs}

%install
%makeinstall
%perl_process_packlist
%suse_update_desktop_file -N Pidgin -G "Instant Messenger" %{name} InstantMessaging
cp -a NLD $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/pidgin/emotes
cp -a Tango $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/pidgin/emotes
rm $RPM_BUILD_ROOT%{_prefix}/%_lib/pidgin/*.*a
# FIXME: Should be nonversioned name:
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/liboscar.so && rm $RPM_BUILD_ROOT%{_libdir}/purple-2/liboscar.so
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/libjabber.so && rm $RPM_BUILD_ROOT%{_libdir}/purple-2/libjabber.so
#find $RPM_BUILD_ROOT -type f -name .packlist -exec rm {} ';'
#find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm {} ';'
# binaries for gaim rename notification:
cat >$RPM_BUILD_ROOT%{_bindir}/gaim <<EOF
#!/bin/bash
echo >&2 "WARNING: gaim was replaced by pidgin. Please call it as \"pidgin\"."
(
exec 2>/dev/null
zenity --window-icon /usr/share/icons/hicolor/24x24/apps/pidgin.png --warning --text "WARNING: gaim was replaced by pidgin. Please call it as \"pidgin\"." &
KPID=\$!
( sleep 7 ; kill \$KPID ) &
wait \$KPID
)
exec %{_bindir}/pidgin "\$@"
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/gaim
cat >$RPM_BUILD_ROOT%{_bindir}/gaim-text <<EOF
#!/bin/bash
echo >&2 "WARNING: gaim-text was replaced by finch. Please call it as \"finch\"."
exec %{_bindir}/finch "\$@"
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/gaim-text
%find_lang %{name}
rm $RPM_BUILD_ROOT%{_libdir}/*/*.la
# NOTE: Original has also "grep -v /libbonjour.so | \"
find $RPM_BUILD_ROOT%{_libdir}/purple-2 -xtype f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v /libsametime.so | \
        grep -v /mono.so | \
        grep -v ".dll$" > %{name}-%{version}-purpleplugins
find $RPM_BUILD_ROOT%{_libdir}/pidgin -xtype f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-pidginplugins
find $RPM_BUILD_ROOT%{_libdir}/finch -xtype f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-finchplugins
%find_gconf_schemas
cat %{name}.schemas_list %{name}-%{version}-pidginplugins >%{name}.lst
cat %{name}.lang %{name}-%{version}-purpleplugins >libpurple.lst

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%post -n libpurple
%run_ldconfig

%postun -n libpurple
%run_ldconfig

%post -n finch
%run_ldconfig

%postun -n finch
%run_ldconfig

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README README.MTN doc/the_penguin.txt
%dir %{_libdir}/pidgin
%{perl_vendorarch}/Pidgin.pm
%{perl_vendorarch}/auto/Pidgin
%{_bindir}/pidgin
%{_datadir}/pixmaps/pidgin
%{_datadir}/icons/hicolor/*/apps/pidgin.*
%dir %{_datadir}/sounds/pidgin
%{_datadir}/sounds/pidgin/*
%{_datadir}/applications/*.desktop
%doc %{_mandir}/man1/pidgin.*
%doc %{_mandir}/man3/Pidgin.*
/var/adm/perl-modules/pidgin

%files devel
%defattr(-,root,root)
%{_includedir}/pidgin
%{_libdir}/pkgconfig/pidgin.pc

%files -f libpurple.lst -n libpurple
%defattr(-, root, root)
%doc libpurple/purple-notifications-example
%{_bindir}/purple-client-example
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-url-handler
%{_datadir}/pixmaps/purple
%{_libdir}/libpurple.so.*
%{_libdir}/libpurple-client.so.*
%dir %{_libdir}/purple-2
%{perl_vendorarch}/Purple.pm
%{perl_vendorarch}/auto/Purple

%files -n libpurple-meanwhile
%defattr(-, root, root)
%{_libdir}/purple-2/libsametime.*

%files -n libpurple-mono
%defattr(-, root, root)
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll

%files -n libpurple-devel
%defattr(-, root, root)
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/libpurple
%{_datadir}/aclocal/purple.m4
%{_libdir}/libpurple.so
%{_libdir}/libpurple.*a
%{_libdir}/libpurple-client.so
%{_libdir}/libpurple-client.*a
%{_libdir}/pkgconfig/purple.pc
%doc %{_mandir}/man3/Purple.*

%files -f %{name}-%{version}-finchplugins -n finch
%defattr(-, root, root)
%{_bindir}/finch
%{_libdir}/libgnt.so.*
%dir %{_libdir}/finch
%doc %{_mandir}/man1/finch.*

%files -n finch-devel
%defattr(-, root, root)
%{_includedir}/finch
%{_includedir}/gnt
%{_libdir}/libgnt.so
%{_libdir}/libgnt.*a
%{_libdir}/pkgconfig/gnt.pc

%files gaim-compat
%defattr(-, root, root)
%{_bindir}/gaim
%{_bindir}/gaim-text

%changelog
* Thu May 31 2007 - sbrabec@suse.cz
- Updated to version 2.0.1:
  * Over 100 bugs fixed.
* Mon May 28 2007 - sbrabec@suse.cz
- Fixed devel dependencies.
* Tue May 15 2007 - sbrabec@suse.cz
- Compile with SILC protocol support.
- Integrated patches ported by Martin Szulecki.
- Fixed NSS/NSPR detection.
- Split gaim compatibility binaries.
- Removed obsolete media files.
* Mon May 14 2007 - sbrabec@suse.cz
- Fixed autoreconf.
- Fixed Provides/Obsoletes.
- Require basic SASL plugins required for Jabber.
* Thu May 10 2007 - sbrabec@suse.cz
- New SuSE package, version 2.0.0 (successor of gaim).
  Spec file based on work of James Ogley.
